Page MenuHomeFreeBSD

databases/grass7: Unbreak on 11i386
ClosedPublic

Authored by lbartoletti on Jul 18 2020, 8:34 AM.

Details

Summary

When I added the option for compiling with openmp, like other ports, I don't use compiler:openmp but directly the default compiler because it works just as well. However, on FreeBSD 11, grass only builds well with LLVM90.

While I'm here I added with-proj-[includes|libs] to be more thorough (There's a problem on 13i386 that I still can't solve properly) and I remove useless post-patch commented.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lbartoletti created this revision.Jul 18 2020, 8:34 AM
lbartoletti requested review of this revision.Jul 18 2020, 8:34 AM

Bump portrevision

BTW this commit could be merged quarterly to unbreak databases/grass7 11i386 on quarterly too.

Is there really a need to bump revision? -- if the package failed to build then you can just leave it as is. If the package was built but broken, then yes, the bump is required :)

databases/grass7/Makefile
145 ↗(On Diff #74609)

can't you use LLVM_DEFAULT?

Remove useless PORTREVISION. My bad, I had planned to make other small changes but I preferred to delete them and forgot to remove this tag.

Use LLVM_DEFAULT instead of LLVM_VER, but CC/CPP/etc. are always necessary since just LLVM_DEFAULT and BUILD_DEPENDS are not enough.

tcberner added inline comments.Jul 22 2020, 7:42 PM
databases/grass7/Makefile
144 ↗(On Diff #74778)

^ I meant to use the value of ${LLVM_DEFAULT} by the framework :) and not set it manually

=> see Mk/bsd.default-versions.mk

Since LLVM_DEFAULT is 90 we can use it.

lbartoletti marked an inline comment as done.Jul 23 2020, 7:01 AM
lbartoletti added inline comments.
databases/grass7/Makefile
144 ↗(On Diff #74778)

My bad, I misread the value of LLVM_DEFAULT, for me it still was < 90 ... :)

tcberner added inline comments.Jul 30 2020, 5:06 PM
databases/grass7/Makefile
144 ↗(On Diff #74833)

^ you could just use ${LLVM_DEFAULT} everywhere without defining your own LLVM_VER :)

lbartoletti updated this revision to Diff 75343.Aug 4 2020, 7:55 AM
lbartoletti marked an inline comment as done.

remove LLVM_VER and use ${LLVM_DEFAULT}

lbartoletti marked an inline comment as done.Aug 4 2020, 7:55 AM
lbartoletti added inline comments.
databases/grass7/Makefile
144 ↗(On Diff #74833)

erg... of course :)

tcberner accepted this revision.Aug 20 2020, 10:28 AM

ship it :)

This revision is now accepted and ready to land.Aug 20 2020, 10:28 AM
This revision was automatically updated to reflect the committed changes.
lbartoletti marked an inline comment as done.